Bug 97407 - SIDEBAR: Spacing drop down has 2 'Custom' entries in Wrap content panel
Summary: SIDEBAR: Spacing drop down has 2 'Custom' entries in Wrap content panel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium minor
Assignee: Rishabh
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords:
Depends on:
Blocks: Sidebar-Properties-Wrap
  Show dependency treegraph
 
Reported: 2016-01-28 09:18 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 17:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-01-28 09:18:32 UTC
Steps:
1) Insert picture
2) Right-click > Image Properties
3) Under Wrap tab, change left spacing and press OK
4) In sidebar, the Wrap content panel spacing drop down menu has 'Custom' selected.
5) Deselect the image and then select it again and then open the spacing drop down menu to find two 'Custom' entries.

Version: 5.2.0.0.alpha0+
Build ID: 446eb095354124406063b6467d1886b8647dc211
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-27_00:53:25
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2016-01-28 18:22:59 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 259c1ed201f4277d74dfd600fed8c837cbf56abc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-27_00:45:12
Locale: fi-FI (fi_FI)
Comment 2 Commit Notification 2016-02-03 07:20:18 UTC
Rishabh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43799f9e21277e655c7ec940d266f775cada837a

tdf#97407: Remove duplicate custom entry

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-02-05 15:36:53 UTC
Rishabh committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dea370d7bb0ce4b8190dc98976b2691fce659952&h=libreoffice-5-1

tdf#97407: Remove duplicate custom entry

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.